"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runStepWithLogGroup = void 0;
const ensureChain = (value) => Cypress.isCy(value) ? value : cy.wrap(value, { log: false });
function runStepWithLogGroup(options) {
    var _a;
    Cypress.log({
        name: (_a = options.keyword) !== null && _a !== void 0 ? _a : "Step",
        message: `**${options.text}**`,
        groupStart: true,
    });
    return ensureChain(options.fn()).then((result) => {
        Cypress.log({ groupEnd: true, emitOnly: true });
        return result;
    });
}
exports.runStepWithLogGroup = runStepWithLogGroup;
